package com.imofan.android.pns.old;

import org.jivesoftware.smack.packet.IQ;

/**
 * Created with IntelliJ IDEA.
 * User: Rex
 * Date: 12-8-20
 * Time: 上午9:53
 * To change this template use File | Settings | File Templates.
 */
public class Pong extends IQ {

//    <iq from='juliet@capulet.lit/balcony' to='capulet.lit' id='s2c1' type='result'/>

    public Pong() {
        this.setType(Type.ERROR);
    }

    @Override
    public String getChildElementXML() {
        StringBuffer sb = new StringBuffer();
        sb.append("<ping xmlns='urn:xmpp:ping'/>");
        sb.append("<error type='cancel'>");
        sb.append("<service-unavailable xmlns='urn:ietf:params:xml:ns:xmpp-stanzas'/>");
        sb.append("</error>");
        return sb.toString();
    }
}
